Subject: [dispatch] update Referred-by header charter proposal

From: Salvatore Loreto <[email-masked]>
Date: Mon, 24 Jan 2011 18:45:06 +0100

Hi there,

the following is a charter proposal for a wg to work on updating the 
Referred-by header.
http://tools.ietf.org/html/draft-loreto-dispatch-3892bis-02

Thoughts and comments on the charter proposal are appreciate.

ciao
/Sal

Charter Proposal (version 1)

Possible WG Names: Open for ideas

SIP uses the Referred-By (RFC3892) header field for conveying the identity of a REFER request.
This header field may be used when exploding a SIP MESSAGE or a SIP INVITE request to an ad-hoc or pre-defined group URI.
The Referred-By header is only included if the P-Asserted-Identify header field (RFC3325) or From header field needs to carry
another value (e.g. the pre-defined group URI, or a conference focus URI). In those cases, the Referred-By header field in the
resulting is set to the P-Asserted-Identity header field or to the From header field of the original SIP request received before
exploding so as to convey to the receiver the identity of the original inviting sender.
However Referred-by header as defined in RFC3892 restricts the value of the header to only one SIP URI. RFC5876 instead allows
the P-Asserted-Identity to contain two or more URIs, that can be SIP/SIPS URI or TEL URI.

This Working group will work on updating RFC3892 by allowing a Referred-by header to contain two or more URIs as defined
for P-Asserted-Identity header field in (RFC5876).

Deliverables

Nov 2011    Updates to Referred-by to IESG.